Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665942 - net-analyzer/hydra: Validate DEPEND on virtual/mysql
Summary: net-analyzer/hydra: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Netmon project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:32 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:32:18 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-14 20:09:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46648ec6b53933819d723262e0662ad4b643a7c1

commit 46648ec6b53933819d723262e0662ad4b643a7c1
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-14 20:09:04 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-14 20:09:04 +0000

    net-analyzer/hydra: Revbumps for dependency change
    
    Bug: https://bugs.gentoo.org/665942
    Package-Manager: Portage-2.3.60, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 net-analyzer/hydra/{hydra-8.5.ebuild => hydra-8.5-r1.ebuild} | 8 ++++----
 net-analyzer/hydra/{hydra-8.6.ebuild => hydra-8.6-r1.ebuild} | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2020-07-29 09:45:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=407982e18b554dd91ce521982662840e3f7cae9f

commit 407982e18b554dd91ce521982662840e3f7cae9f
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-07-29 09:38:55 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-07-29 09:44:59 +0000

    net-analyzer/hydra: Old
    
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Closes: https://bugs.gentoo.org/665942
    Closes: https://bugs.gentoo.org/686420
    Closes: https://bugs.gentoo.org/697580
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/hydra/Manifest                        |   2 -
 net-analyzer/hydra/files/hydra-8.0-configure.patch |  44 ---------
 net-analyzer/hydra/files/hydra-8.4-configure.patch |  48 ----------
 net-analyzer/hydra/hydra-8.1.ebuild                |  98 --------------------
 net-analyzer/hydra/hydra-8.9.1.ebuild              | 103 ---------------------
 5 files changed, 295 deletions(-)